var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { WorldEntity } from "../../../common/entity";
/* == BUILDING INSTANCES == */
var Building = /** @class */ (function (_super) {
    __extends(Building, _super);
    function Building(bldTypeStr, customName, level, isSecondary, customPos) {
        var _this = _super.call(this, -1, customPos) || this;
        _this._bldType = null;
        // optional
        _this.isSecondary = false;
        _this.level = level;
        _this.setBldType(bldTypeStr);
        // optional properties
        if (customName) {
            _this.customName = customName;
        }
        if (isSecondary) {
            _this.isSecondary = isSecondary;
        }
        return _this;
    }
    Building.prototype.setBldType = function (bldTypeStr) {
        this.bldTypeStr = bldTypeStr;
        this._bldType = globalThis.CONSTRUCTABLE.get(bldTypeStr);
    };
    Object.defineProperty(Building.prototype, "bldType", {
        get: function () {
            if (!this._bldType) {
                this.error("cant get BuildingType object for \"".concat(this.bldTypeStr, "\""));
                return;
            }
            return this._bldType;
        },
        enumerable: false,
        configurable: true
    });
    Building.prototype.onTick = function () {
    };
    Object.defineProperty(Building.prototype, "name", {
        get: function () {
            if (this.bldType.names.length == 1) {
                return this.bldType.names[0];
            }
            return this.bldType.names[this.level];
        },
        enumerable: false,
        configurable: true
    });
    return Building;
}(WorldEntity));
export { Building };
//# sourceMappingURL=building.js.map