var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// entities
import { CommandableMapEntity } from "../../../common/entity";
/* == UNIT MODEL == */
var Unit = /** @class */ (function (_super) {
    __extends(Unit, _super);
    function Unit(typeId, pos, army) {
        var _this = _super.call(this, globalThis.UNITS.nextUnitId(), pos) || this;
        _this.army = null;
        // this.num = globalThis.UNITS.nextUnitId();
        _this.type = globalThis.UNIT_TYPES.get(typeId);
        if (army) {
            _this.army = army;
        }
        _this.hp = _this.type.health;
        _this.mp = _this.type.movement;
        return _this;
    }
    Unit.prototype.toString = function () {
        var unitPos = this.pos;
        if (!unitPos) {
            unitPos = this.army.pos;
        }
        return "<Unit ".concat(this.num, " \"").concat(this.type.id, "\" pos=").concat(unitPos.asString(), " hp=").concat(this.hp, " mp=").concat(this.mp, ">");
    };
    return Unit;
}(CommandableMapEntity));
export { Unit };
/* == UNIT MOVEMENT == */ 
//# sourceMappingURL=unit.js.map