var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { EmptyDialog } from "./common/base-dialog";
/* == TRADE HISTORY DIALOG == */
var CityTradeHistoryDialog = /** @class */ (function (_super) {
    __extends(CityTradeHistoryDialog, _super);
    function CityTradeHistoryDialog(city) {
        var _this = _super.call(this, DIAG_TRADEHIST, false, "".concat(city.name, ": Trade History")) || this;
        _this.tradeLocation = city;
        return _this;
    }
    CityTradeHistoryDialog.prototype.build = function () {
        _super.prototype.build.call(this);
    };
    CityTradeHistoryDialog.prototype.addCustomContent = function () {
        var last16 = this.tradeLocation.tradeHistory.trades.slice(-16);
        for (var _i = 0, last16_1 = last16; _i < last16_1.length; _i++) {
            var trade = last16_1[_i];
            // default values are for imports
            this.addTradeHistoryItem(trade);
        }
    };
    CityTradeHistoryDialog.prototype.addTradeHistoryItem = function (trade) {
        var resName = globalThis.TRADE.getResName(trade.resId);
        var absProfitStr = "" + trade.absProfit;
        var tradeStr = "3 ".concat(resName, " ").concat(trade.fromToStr, " ").concat(trade.otherLocationName);
        // add data row, p.e. "[X] -125:  1 Fish from London"
        this.addNewDataRow(absProfitStr, tradeStr, trade.iconName);
    };
    return CityTradeHistoryDialog;
}(EmptyDialog));
export { CityTradeHistoryDialog };
/* == TRADE HISTORY DIALOG CONSTANTS == */
export var DIAG_TRADEHIST = "diag-tradehist";
//# sourceMappingURL=city-tradehist-dialog.js.map