var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// common
import { Loggable } from "../../../../common/log";
var FactionDiplomacy = /** @class */ (function (_super) {
    __extends(FactionDiplomacy, _super);
    function FactionDiplomacy(parentFaction) {
        var _this = _super.call(this, "Diplomacy") || this;
        _this.parentFaction = parentFaction;
        return _this;
    }
    FactionDiplomacy.prototype.toString = function () {
        return "<FactionDiplomacy \"".concat(this.parentFaction.name, "\">");
    };
    return FactionDiplomacy;
}(Loggable));
export { FactionDiplomacy };
var FactionRelation = /** @class */ (function (_super) {
    __extends(FactionRelation, _super);
    function FactionRelation(faction1, faction2, relationship, treaties) {
        var _this = _super.call(this, "FactionRelation") || this;
        _this.relationship = null;
        _this.treaties = [];
        _this.faction1 = faction1;
        _this.faction2 = faction2;
        // optionals
        if (relationship) {
            _this.relationship = relationship;
        }
        if (treaties) {
            _this.treaties = treaties;
        }
        return _this;
    }
    FactionRelation.prototype.getMirrored = function () {
        var mirrored = new FactionRelation(this.faction2, this.faction1);
        if (this.relationship) {
            mirrored.relationship = this.relationship;
        }
        if (this.treaties) {
            mirrored.treaties = this.treaties;
        }
        return mirrored;
    };
    return FactionRelation;
}(Loggable));
export { FactionRelation };
//# sourceMappingURL=diplomacy.js.map