var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// events
import { BaseEventListener } from "../../../common/events";
var GuiElementHead = /** @class */ (function (_super) {
    __extends(GuiElementHead, _super);
    function GuiElementHead(elemId, parent) {
        var _this = _super.call(this, "GuiHead \"".concat(elemId, "\""), true) || this;
        _this.isDeleted = false;
        _this.elemId = elemId;
        _this.parent = parent;
        return _this;
    }
    GuiElementHead.prototype.onEvent = function (ev) {
        this.parent.onEvent(ev);
    };
    GuiElementHead.prototype.delete = function () {
        this.parent = null;
        this.isDeleted = true;
    };
    GuiElementHead.prototype.setSizeInPixels = function (width, height) {
        this.parent.setSizeInPixels(width, height);
    };
    return GuiElementHead;
}(BaseEventListener));
export { GuiElementHead };
//# sourceMappingURL=element-head.js.map