var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Loggable } from "../../../common/log";
/* == SIZE MODEL == */
var GuiSize = /** @class */ (function (_super) {
    __extends(GuiSize, _super);
    function GuiSize(control) {
        var _this = _super.call(this, "GuiSize") || this;
        if (control) {
            _this.parent = control;
            _this.updateSizeFromParent();
        }
        return _this;
    }
    GuiSize.prototype.updateSizeFromParent = function () {
        this.widthStr = this.parent.width;
        this.heightStr = this.parent.height;
    };
    GuiSize.prototype.toString = function () {
        return this.widthStr + DEFAULT_STR_DIVIDER + this.heightStr;
    };
    /* SETTERS */
    GuiSize.prototype.set = function (widthStr, heightStr) {
        this.parent.width = widthStr;
        this.parent.height = heightStr;
        this.updateSizeFromParent();
    };
    GuiSize.prototype.setInPx = function (widthPx, heightPx) {
        this.parent.widthInPixels = widthPx;
        this.parent.heightInPixels = heightPx;
        this.updateSizeFromParent();
    };
    /* STATIC METHODS */
    GuiSize.FromStr = function (guiSizeStr) {
        var guiSize = new GuiSize(null);
        var widthHeightStrArr = guiSizeStr.split(DEFAULT_STR_DIVIDER);
        guiSize.widthStr = widthHeightStrArr[0];
        guiSize.heightStr = widthHeightStrArr[1];
        return guiSize;
    };
    return GuiSize;
}(Loggable));
export { GuiSize };
/* == SIZE CONSTANTS == */
export var DEFAULT_STR_DIVIDER = " ";
//# sourceMappingURL=gui-size.js.map