var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { EmptyDialog } from "./common/base-dialog";
/* == CITY CONNECTIONS DIALOG == */
var CityConnectionsDialog = /** @class */ (function (_super) {
    __extends(CityConnectionsDialog, _super);
    function CityConnectionsDialog(city) {
        var _this = _super.call(this, DIAG_CONNECTIONS, false, "Connections: ".concat(city.name)) || this;
        _this.connections = [];
        _this.city = city;
        _this.connections = city.connections;
        return _this;
    }
    CityConnectionsDialog.prototype.addCustomContent = function () {
        for (var _i = 0, _a = this.connections; _i < _a.length; _i++) {
            var connection = _a[_i];
            var cityName = connection.target.name;
            var cityWorldDist = connection.worldDistance;
            var keyStr = cityName;
            var valueStr = "".concat(cityWorldDist, " (").concat(connection.doneTrades, " Trades for ").concat(connection.tradedCoins, "c)");
            this.addNewDataRow(keyStr, valueStr, "connection");
        }
    };
    CityConnectionsDialog.prototype.build = function () {
        _super.prototype.build.call(this);
    };
    return CityConnectionsDialog;
}(EmptyDialog));
export { CityConnectionsDialog };
/* == CONTSANTS == */
// connections dialog
export var DIAG_CONNECTIONS = "diag-connections";
//# sourceMappingURL=connections-dialog.js.map