var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// common
import { Loggable } from "../common/log";
import { tileAt } from "../game/world/map";
var TilePathFinder = /** @class */ (function (_super) {
    __extends(TilePathFinder, _super);
    function TilePathFinder(sourcePos, targetPos) {
        var _this = _super.call(this, "TilePathFinder") || this;
        _this.sourcePos = sourcePos;
        _this.targetPos = targetPos;
        _this.startTile = tileAt(sourcePos.x, sourcePos.z);
        return _this;
    }
    TilePathFinder.prototype.findSimplePosPath = function () {
        var posArr = [];
        var lastPos = this.sourcePos;
        var isAtTarget = lastPos.equals(this.sourcePos);
        while (!isAtTarget) {
            var oldPos = lastPos;
            posArr.push(oldPos);
            // lastPos = this.findNextSimplePos( oldPos );
        }
        return posArr;
    };
    return TilePathFinder;
}(Loggable));
export { TilePathFinder };
//# sourceMappingURL=pathfinder.js.map