/* == MAP PROPERTIES == */
export const STARTING_YEAR = 1100;
export const END_YEAR = 1500;
export const SEASONS_PER_YEAR = 2;

/* == MAP TILES == */
export const TILE_ROWS = ["WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWAAAMWWWWWWWWWWWWWWWWWWWWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWAAMMWWWWWWWWWWWWWWWWWWWWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWAAAAAAGWWWWWWWAAAAWWWWWWWWWWMMMMWWWWWWWWWWWWWWWWWWWWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWAAMMMMAGGWWWWWWWAAAWWWWWWWWWWMMMMWWWWWWWWWWWWWWWWWWWWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWMMMAAAAAMMMMGGGWWAAAAMMAAAWWWAWWWWWWMMMWWWWWWWWWWWWWWWWWWWWWWW", "WWWWWWWWWWWWWWWAAAAAAAWWWWWWWMMMMMMMMMGGGFFWGMMAAAAAAAAAAMAWWWWWWWWWWWWWWMMMWWWWWWWWWWWWWWW", "WWWWWWWWWWWWWWAAAAAAAAWWWWWWWGMMMMMMGGGGWWWGGMAAAAMMMMAAAAAWWWWWWWWWWWWDWWMMWWWWWWWWWWWWWWW", "WWWWWWWWWWWWWWAAAAAAAAWWWWWAAGGMMMMMGGWGGGGGGAAAMMMMMAAMMAAWMMMMWWWWWWDDWWMMWWWWWWWWWWWWWWW", "WWWWWWWWWWWWWAAGAAAAAAWWWWAAGGGMMMMMWWWGGGGGGAAMMMMMMAMMMMAAMMMMWWWSDDDDDDWWWSSWSWWWWWWWWWW", "WWWWWWWWWWWWAAGGGGGGGWWWWWAGGGGAAMGGWGMMGGGGAAMMMMMMMAMMMMMAMMSSWWSSDDDDDDDDDSSWWWSSWWWWWWW", "WWWWWWWWWWWWGGGMMGMMMGGGGGGGGGGMAAGGWGMMMGGGGGGGGGGGGGGMMMMMMWWWWSSSSSMMMMMMMSSWWWSSSSSWWWW", "WWWWWWWWWWWGGGMMMGMMMGGGGGGGGGGMMMMMWGMMMGGGGGGGGGFGGGGGGMMMWWSSWSSSSSMMMMMMMMWWWWSSSSSWWWW", "WWWWWWWWWWGGMMMMMGGMMGGGGGGGGGGMMMMMGWGMMGGGGGGGFFFGGGGGGGGWMMSSSWSSSSMMMMMMMMWSWWSSSSSWWWW", "WWWWWWWWWGGGMMMMMGGMMGGGGGGGGGGMMMMMMGGGGGGGWWWWGFFGGGGWWWWWMMSSSWWSSSMMMMMMMMSSWWSSMSSWWWW", "WWWWWWWWGGGGMGGGGGGGGGGGGGWWWMMMDDDDDDGGMGGGGFFGGGMMMMMGFGGMMMMMSSWWSFMMMDDMSFFWWWWSMSSWWWW", "WWWWWWWGGGGMGGGWWGGGGGGGGGWGGMMDDDDDDMMMMGGGFFFGGGMMMMMGFFGMMMMMSSWWSFMMMDDMSFFWWWWWSSSWWWW", "WWWWWWWGGGGGGGGWWWGGGGGGWWWGDMMDDDDDMMMMMMGGGGGGMMMMMGGGGFGGMMMMSSWWWSMMMMMMMMSWWWWWSSSSWWW", "WWWWWWWGGGGGGGGWWGGGGGGWWMDDDMMDDDDDDMMMMMMGGGGGMMAAGGGGGFGGMMMMMSWWWSMMMMMMMMSSWWWWSMSSWWW", "WWWWWWWGGGGGGGGWWGGWWWGMMMDDDMMDDDDDDDMMMMMGGFFGGAAMMGGGGFGGGMMMSSWWWSGMMMMMMMMSSWWWMMSWWWW", "WWWWWWWGGGGGWWWWDDMMMDDDDDDDDDDDDDDDDDDDMMMMMMMAMMMMMMMMMMGGGMMMMSSSWSGGGSGGMMMFFWWWSSSSWWW", "WWWWWWWGGGGGWWWWDDDMMDDDDDDDDDDDDDDDDDDDMMMMMMMAMMMMMMMMMAAGMMMMMSSSWSSSSGGGGGSSFWWWSSSSWWW", "WWWWWWWGGGGWWWWDDDDDDDDDDDDDDDDDDDDDDDDDMMMMMMMAAMMMMMMMAAMGMMMMMSSSWSSFSGGFFGGSSWWWSSSSSSW", "WWWWWWGGGGWWDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDMMMMMMAMMMMMGGGMMMMMMMMSSSSWGGSSSGGGGWWWWSSSSSSSW", "WWWWWWGGGWWWDDDDDDDDDDDDDDDDDDDDDDDDDDDDDSSMGGGGGGMMMMGGGMMMMMGGMSSSSWWGSSSSWWWWWWWSSSSSSSW", "WWWWWWGGGWWDDDDDMMMDDDDDDDDDDDDDDDDDDDDDDSSSGFFFGGGGFFGFFFGGGGGGMMMMSSSWWWWWWWWWSSSSSSSSSWW", "WWWWWWGGGWWDDDDDDMMDDDDDDDDDDDDDDDDDDDDDDSSSSFFFGGFFFFGGFFGGGGGGGMMMMSSSWWWWSSWWWSSSSSSSWWW", "WWWWWWWGWWDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDSSSSGGGGGGFFGGGGGGGGFFGGGMMMMSSSSWWSSSSWWWSSSSSSWWW", "WWWWWWWWWWDDDDDDDDMMMDDDWDDDDDDDDDDDDDDDSSSGGGGGGGGGGGFFFGGGFFGGGMMMMSSSSWWSSSSWWWSSSSSSWWW", "WWWWWWWWWDDDDDDDDDDDDDWWDDDDDDDDDDDDDDDSSSSGGGGGFFFFFFWFFFFGGGGGGMMMSSSSSWSSSSSSSSSSSSSSWWW", "WWWWWWWWWDDDDDDDDDDDDWWDDDDDDDDDDDDDDDSSSSSGGGGGFFFFWWWWFFFGGGGGGMMMSSSSSWSSSSSSSSSSSSSSWWW", "WWSWWWWWWDDDDDDWWDDDWWWWWWDDDDDDDDDDDSSSSSSSGGFFFFWWWWWWWFFGGGGGGMMMMSSSSWSSSSSSSSSSSSSWWWW", "WWSWWWWWWDDDDDDWWWDDWWWWWWDDDDDDDDDDDSSSSGSSSGFFFFWGGGGWWFFGGGGGGMMMMSSSSWSSSSSSSSSSSSSWWWW", "WWWWSWWWWWDDDDDWWWDDDWWWWWDDDDDDDDDDSSSSSGSSSGFFFFWGFGGWWFGGGGGGGMMMMMSSSSSSSSSSSSSSSSWWWWW", "WWWWWWWWWWWWWWWWWWWWWDDDWWWWDDDDSSSSSSSSGSSGGGGGFFWWGWGGWGGFFFFGGMMMMSSSSSSSSGGSSSSSWWWWWWW", "WWWWWWWWWWWWWWWWWWWWWDDDDWWWWDDDSSSSGSSSSSSGGGGGGFWWWWWWWGGFFFGWGGMMMMSSSSGGGGGSSSSSWWWWWWW", "WWWWWWWWWWWWWWWWWWWWDDDDWWWWWSSSSSSSSSGGGSSGGFFFGGFWWWWWWGGGGGWWGGMMMMSSSSGGGGGSSSSSGWWWWWW", "WWWWWWWWWWWWWWWWWWWWDDDDDWWWWWSGGGSSGGSSGGGGGFFFFGGGGGGWWGWWWWGGGGGGMMMSSSGGGGGGSSSSGGGWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWGGGGGSSSGSSGGGGGFFFFFGGGGGWWWWGGGGGGGGGMMMSGGGGGGGGSSSSGGWWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWGGGGGGGGGGGGGGGGGGGGGGGGGGGGWWGGGGGGGGGGMMGGGGGGGGGGGSGGGGWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWGGGGGGGGGGGGGGWGGGGGGGGGGGGGWWWGGGGGGGGGGMGGGGGGGGGGGGGGGGWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWGGGGGGGGGGGGGWWGGGGGGGGGGWWGWWWGGGWWGGGGGGGGGGGGGGGGGGGGGGGWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWSSWGGGGGGGGGGGWWWGGGGGMMGGGGGWWWWWWWWWGGGGGGGGGGGGGGGGGGGGGGGGWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWGGGGWWWGWGGGGSSSMMMMMMSGGGWWGGGGGGGGGGGMMMFGGGGGGGGGWWWWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWGGGWWGGGGGGGGSSSSSMMMSSSGGWWGGGGGGGGGGGMMMFFGGGGGGGGWWWWWWW", "WWWWWWWWWWWWWWWSSSSSSWWWWWWWWWWWWWWWGGGGGGGGGSSSDDSDDDDMMGWWGGFFFGGGGGGMMFFFFFFFGGGWWWWWWWW", "WWWWWWWWWWWSSSWWWSSSSWWWWWWWWWWWGGGGGGGGGGGGMSSDDDDDDDDMMGWWGGFFFGGGGGGFFFFFFFFFFGGGWWWWWWW", "WWWWWWWWWWSSSSWWWSSSSGWWWWWWWWWGGGGGGGGGGGGMMSDDDDDDDDDMMGGWGGFFFGGGGGGFFFFFFFFFFFGGWWWWWWW", "WWWWWWWWWSSSSSSSWWWWSGGWWWWWWGGGFFFFGGGGGGGMMDDDDDDDDDDDDGGWGGFFGGGGGGFFFFFFGGGFFFGGWWWWWWW", "WWWWGGGGGSSSSSSSSWWWSGGWWWWWWGGGFFFFGGGGGGGGSDDDDDDDDDDDDGGWGGGGGGGGFGFFFFFFFGGFFFGGWWWWWWW", "WWWWGGGGGSSSSSSSSSWWSGGWWWWWWGGGFFGGGGGFFGGGSDDDDDDDDDDDDGGWGGFGGGGGFGGFFFFFFGGFFFGGWWWWWWW", "WWWGGGGGGGSSSSSSSSWWSGGWWWWWGFGGFFFGGGFFFFGGGDDDDDDDMMMDDGGWGFFGGGFFFFGGGFFFFGGFFFGGWWWWWWW", "WWWGGGGGGGGGSSSSSSWWSGGWWWWWGFFGFFFGGGFFFFGGGDDDMMDDMGMDDGGWGFFGGGFFFFGGGFFFGGFFFGGGWWWWWWW", "WWWGGGGWWGGGSSSSSWWWGGGWWWGGGFFGGGGGGGFFFFFGGGGGGGGGGGGGGGGWGFGGGFFFFFFFFGGGFFFFFFGGGWWWWWW", "WWWWGGGWWGGGSSSSSSWWGGGWWWGGFFFGFFGFFGGGFFFGGGGGGGGGGGGGGGGWGGGGGFFFFFFFFGGFFFFFFFGGWWWWWWW", "WWWWGGGWWGGGSSSSSSWWGGGWWWGGFFFGFFFFFGGGGFFGGGGGGGGGGGGGGGGWGGGGGFFFFFFFFGFFFFFFFFFGWWWWWWW", "WWWWWWWWGGGGGSSSSSWWWGGWWWGGGFGGFFFFGGGGGFFGGFFFGGGGGGGGGGWWGGGGGFFFFFFFFGFFFFFFFFFGWWWWWWW", "WWWWWWWGFFGGGGGGGSSWWGGWWWWWWWGGFFFFGWWWGGFGGFFFFFFFGGGGWWWWWWWWWFFFFGGGGFFGGGGFFFGGWWWWWWW", "WWWWWWGFFFFGGGGGGSSSWWGWWWWWWWWGGGGGWWWWGGGGGFFFFFFFGGGWWWWWWWWWWFFFFGGFFFFFGGGFFFGGWWWWWWW", "WWWWWWWFFFFFGGGGGGSSSSWWWWWWWWWWGGGGWWWWGGFFFGFFFFFFGGGWWWWWWWWWWFFFFGFFFFFFFFFGGGGGWWWWWWW", "WWWWWWWFFFFFGGGGGGSSSSWWWWWWWWWWWWWWWWWWGGFFFGGFFFFFFGGWWWWWWWWWWFFFFGFFFFFFFFFGGGWWWWWWWWW", "WWWWWWGFFGGGGGGGGGSSSSWWWWWWWWWWWWWWWWWWGGFFFGGGGGFFFFGGWWWWWWWWWFFFGGFFFFFFFFFGGWWWWWWWWWW", "WWWWWWGFFFFGGGGGGSSSSWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWGGGGGGGWWWWWWGFGGFFFFFFFFFFGGWWWWWWWWWW", "WWWWWWGGGGGGGGGGSSSSSWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWGGGGWWWWWWGGGGGGGGGGGFFFGWWWWWWWWWWW", "WWWWWWWGWWWWGGGSSWSSSWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWGGGWWWWWWGGGGGGGWGGGGGGWWWWWWWWWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWGGGGGGWWGGGGGWWWWWWWWWWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWGGGGGWWWGGGGGWWWWWWWWWWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWW", "WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWW"];

/* == TILE OVERRIDE == */
export const TILE_OVERRIDE = [
    "64 25 F", "65 13 B", "69 23 B", "72 23 W", "73 17 L", "74 16 L", "77 14 F", "70 22 F", // vvardenfell
    "66 26 G", "81 33 F", "80 33 F", "80 34 F", "86 21 F", "85 21 F", "67 26 F", "73 30 B", // mainland morrwind
    "52 6 F", "53 7 F", "43 6 B", "40 11 F", "49 10 F", "51 11 F", "55 12 F",// northern skyrim
    "59 17 F", "59 16 F", "60 15 F", "61 15 F", "59 13 F", // skyrim-morrowind pass
    "39 44 B", "38 48 M", "38 47 M", "37 48 F", // western cyrodil
    "56 35 B", "50 34 B", "49 34 S", "49 35 S",  // imperial isle
    "48 59 S", // elsewyr
    "12 39 S", "14 39 S", "12 38 S" // stros m kai
];

/* == MAP LOCATIONS == */
export const CITIES: Array<Array<string>> = [
    /* KEY NAME POS CULTURE EMPIRE PRIMARY_RES */
    // CYRODIL
    ["IMP", "Imperial City", "53 34", "hellenic", "cyrodil", "glass"],
    ["BRV", "Bravil", "57 44", "hellenic", "cyrodil", "wood"],
    ["LYV", "Leyawin", "58 57", "venetian", "niben", "clothes"],
    ["DRL", "Drakelowe", "62 36", "barbarian", "cyrodil", "ale"],
    ["ANV", "Anvil", "33 47", "hellenic", "cyrodil", "tools"],
    ["BRM", "Bruma", "49 25", "cloister", "estates", "ore", "conn IMP"],
    ["SKN", "Skingrad", "42 36", "weur", "western", "wood", "conn IMP"],
    ["CHD", "Cheydinal", "61 27", "hellenic", "western", "wood", "conn IMP"],
    ["FRG", "Faregyl", "53 40", "colonial", "niben", "clothes"],
    ["BRD", "Border Watch", "57 52", "weur", "niben", "tools"],
    ["ALW", "Aleswell", "47 31", "cloister", "niben", "ale"],
    ["KVT", "Kvatch", "36 41", "cloister", "indie", "ale"],
    ["CHO", "Chorrol", "37 31", "cloister", "indie", "ore"],
    // HIGH ROCK
    ["WAY", "Wayrest", "17 19", "weur", "wayrest", "fish"],
    ["DAG", "Daggerfall", "7 27", "weur", "daggerfall", "clothes"],
    ["NOR", "Northpoint", "21 8", "weur", "indie", "pelts"],
    ["FRN", "Farrun", "30 9", "barbarian", "orsimer", "weapons"],
    ["SHH", "Shornhelm", "17 14", "barbarian", "indie", "wood"],
    ["ORC", "Orsinium", "12 17", "barbarian", "orsimer", "ore"],
    // HAMMERFELL
    ["GIL", "Gilane", "20 34", "mideast", "hammerfell", "gems"],
    ["SKV", "Skaven", "29 22", "mideast", "hammerfell", "tools"],
    ["ELI", "Elinhir", "36 19", "mideast", "indie", "clothes"],
    ["SNT", "Sentinel", "12 24", "mideast", "hammerfell", "gold"],
    ["RIH", "Rihad", "30 37", "mideast", "indie", "pearls"],
    ["TNH", "Taneth", "26 31", "mideast", "hammerfell", "tools", "conn SKV"],
    ["HGT", "Hegate", "12 34", "mideast", "indie", "fish"],
    ["SMK", "Stros-M-Kai", "12 38", "tribal", "pirates", "pearls"],
    // SKYRIM
    ["RIF", "Riften", "56 19", "barbarian", "thieves", "ale", "conn CHD"],
    ["WHT", "Whiterun", "51 14", "barbarian", "skyrim", "pelts"],
    ["SOL", "Solitude", "42 6", "cloister", "skyrim", "pearls"],
    ["FLK", "Falkreach", "39 16", "barbarian", "skyrim", "pelts"],
    ["PAL", "Pale Pass", "47 20", "barbarian", "indie", "ore"],
    ["FRN", "Fornsworns", "44 13", "tribal", "indie", "wood"],
    ["MRT", "Morthal", "46 10", "cloister", "indie", "fish"],
    ["DWS", "Dawnstar", "53 5", "barbarian", "indie", "ore", "conn WHT"],
    ["WNH", "Winterhold", "58 8", "barbarian", "indie", "tools", "conn WHT"],
    ["SKL", "Skaal", "64 3", "barbarian", "indie", "pearls", "conn GNI"],
    // MORROWIND
    ["MRN", "Mournholt", "80 32", "asian", "tribunal", "grain"],
    ["TEA", "Tear", "86 41", "elven", "indie", "paper"],
    ["FIR", "Firewatch", "82 12", "elven", "indie", "wool"],
    ["ADR", "Andrethis", "71 32", "elven", "indie", "clothes"],
    ["NRS", "Narsis", "74 38", "elven", "indie", "silk"],
    ["NCR", "Necrom", "88 25", "asian", "indie", "weapons", "conn MRN"],
    ["DVW", "DavonsWatch", "78 28", "elven", "indie", "grain"],
    ["SLG", "Silgrad", "66 26", "elven", "indie", "wool"],
    // VVARDENFELL
    ["GNI", "Gnisis", "66 14", "mideast", "thieves", "grain", "conn RIF"],
    ["VIV", "Vivec", "76 25", "vivec", "tribunal", "ivory"],
    ["ALD", "Ald Ruhn", "69 18", "mideast", "redoran", "glass"],
    ["SAD", "Sadrith Mora", "79 15", "elven", "telvanni", "pelts"],
    ["BAL", "Balmora", "69 22", "cloister", "hlaalu", "gold"],
    ["ASH", "Ashlanders", "71 11", "barbarian", "indie", "pelts"],
    ["TLV", "Tel Vos", "78 11", "elven", "telvanni", "pearls"],
    ["RED", "Red Mountain", "74 17", "dwarven", "dagoth", "weapons"],
    // BLACKMARSH
    ["HLS", "Helstrom", "74 54", "tribal", "argonia", "pelts"],
    ["SOU", "Soulrest", "65 63", "tribal", "argonia", "silk", "conn RCH"],
    ["BLW", "Blackwood", "64 54", "tribal", "indie", "wood", "conn HLS"],
    ["STM", "Stormhold", "69 45", "weur", "indie", "ale", "conn BRV" ],
    ["RCP", "Rockpoint", "79 45", "tribal", "indie", "wool", "conn TEA" ],
    ["RCH", "Archon", "79 64", "tribal", "argonia", "grain", "conn HLS" ],
    // ELSEWYR
    ["ORC", "Orcrest", "51 47", "barbarian", "indie", "wool"],
    ["SNC", "Senchal", "57 64", "mideast", "indie", "pottery"],
    ["CRN", "Corinthe", "48 59", "mideast", "indie", "wood"],
    ["GRV", "Greenvale", "52 55", "mideast", "indie", "weapons"],
    ["DNE", "Dune", "46 47", "mideast", "indie", "ivory"],
    ["ARN", "Arenthia", "44 42", "hellenic", "indie", "grain"],
    ["RMM", "Rimmen", "56 49", "mideast", "rimmen", "weapons"],
    // ALTMER
    ["CLD", "Cloudrest", "14 52", "elven", "altmer", "gems"],
    ["SKY", "Skywatch", "22 55", "elven", "altmer", "fish"],
    ["FHL", "Firsthold", "17 46", "elven", "indie", "pearls", "conn SMK"],
    // VALENWOOD
    ["STP", "Southpoint", "40 61", "elven", "indie", "pearls"],
    ["WHT", "Woodheart", "26 55", "elven", "valenwood", "fish"],
    ["GHT", "Greenheart", "35 59", "elven", "valenwood", "grain"],
    ["ELD", "Eldenwood", "34 54", "elven", "valenwood", "clothes"]
];

/* == SPECIAL RESOURCES == */
export const SPECIAL_RESOURCES = [
    
]

/* == DECORATION == */
export const LANDSCAPE = [
    "volcano 73 16", "shipwreck 64 9", "village 73 23", "shrooms 72 24", "shrooms 78 22", "tipis 68 10", // vvardenfell
    "shrooms 84 14", "treasure 87 27", "ruins 84 24", "watchtower 84 12", "forest 77 29",  // morrowind
    "shipwreck 48 5", "arctic_peak 49 6", "ruins 43 17", "arctic_peak 35 5", // skyrim
    "forest 35 12", "watchtower 55 14", // northern skyrim
    "village 91 70", "village 59 31", "village 48 37", "forest 60 40", // cyrodil
    "farmstead 64 40", // eastern cyrodil
    "watchtower 52 33", "village 54 35", // imperial isle
    "farmstead 44 30", // northwestern cyrodil
    "watchtower 32 43", // southwestern cyrodil
    "shipwreck 22 10", "forest 7 23", "arctic_peak 16 8", "watchtower 10 21", // high rock
    "oasis 30 31", "shipwreck 25 42", "shipwreck 5 33", "treasure 22 38", "tipis 20 26", // hammerfell
    "shipwreck 63 66", "temple 69 62", "temple 78 58", "temple 65 50", "treasure 75 64", // western blackmarsh
    "shipwreck 85 55", // eastern blackmarsh
    "oasis 47 49", "village 44 51" // elsewyr
];

/* == PLAYER DATA == */
export const RND_START_POS = [
    "20 17", 
    "72 25", 
    "54 35", 
    "55 19" // Riften Start
];